Name:		gmtp
Summary:	Simple MP3 and Media player client
Version:	1.3.11
Release:	%mkrel 8
License:	BSD
Group:		Sound/Utilities
Url:		https://gmtp.sourceforge.io/
Source0:	https://download.sourceforge.net/gmtp/gmtp-%{version}.tar.gz
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(vorbisfile)

%description
Supports MTP devices including those with multiple storage devices
(typically mobile phones). Supports Drag'n'Drop interface for
upload/download of files.

%prep
%setup -q

%build
%define _legacy_common_support 1
export CFLAGS="%{optflags} -std=gnu17"
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/gmtp
%{_datadir}/applications/gmtp.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gmtp.gschema.xml
%{_datadir}/gmtp/
%{_datadir}/pixmaps/gmtpicon.png


%changelog
* Sat Jul 19 2025 daviddavid <daviddavid> 1.3.11-8.mga10
+ Revision: 2257262
- rebuild for new flac 1.5.0

* Wed May 14 2025 ns80 <ns80> 1.3.11-7.mga10
+ Revision: 2183448
- try to fix building with GCC 15

* Sun Nov 20 2022 wally <wally> 1.3.11-6.mga9
+ Revision: 1909260
- rebuild for flac 1.4.2

* Wed Mar 30 2022 umeabot <umeabot> 1.3.11-5.mga9
+ Revision: 1835306
- Mageia 9 Mass Rebuild

* Tue Jun 30 2020 joequant <joequant> 1.3.11-4.mga8
+ Revision: 1600687
- update to gcc10
- fix gcc10 build

* Thu Feb 13 2020 umeabot <umeabot> 1.3.11-3.mga8
+ Revision: 1512572
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.3.11-2.mga7
+ Revision: 1297942
- Mageia 7 Mass Rebuild

* Sat Nov 11 2017 wally <wally> 1.3.11-1.mga7
+ Revision: 1176966
- new version 1.3.11
- update url and summary

* Sat Mar 05 2016 wally <wally> 1.3.10-1.mga6
+ Revision: 986063
- new version 1.3.10

* Thu Feb 11 2016 umeabot <umeabot> 1.3.9-2.mga6
+ Revision: 954082
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 wally <wally> 1.3.9-1.mga6
+ Revision: 839652
- new version 1.3.9

* Wed Oct 15 2014 umeabot <umeabot> 1.3.7-3.mga5
+ Revision: 742149
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.7-2.mga5
+ Revision: 679688
- Mageia 5 Mass Rebuild

* Fri Jul 25 2014 wally <wally> 1.3.7-1.mga5
+ Revision: 656526
- new version 1.3.7

* Tue Mar 18 2014 wally <wally> 1.3.6-1.mga5
+ Revision: 604814
- imported package gmtp

